Bug 490135 - gtk/metacity theme colors sometimes custom colors are loaded, sometimes default colors are loaded
gtk/metacity theme colors sometimes custom colors are loaded, sometimes defau...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
10
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-13 10:00 EDT by Máirín Duffy
Modified: 2009-07-24 12:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-24 12:51:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Máirín Duffy 2009-03-13 10:00:26 EDT
Description of problem:

I've been running Fedora 10 for maybe 3 weeks now. In the past two days, I've noticed that my GTK & metacity theme colors seem to change when I boot up the machine. Usually I set my GTK theme to be a bit dark, and the metacity titlebars to be pink. I might boot up once, and they will look like this. Then I shut my laptop down, go home, turn it back on, and when it boots up it has the default tan/blue color theme. Then I shut down, go into work, boot up in the morning and the pink is back.

It seems a very strange issue.

My current version of gnome-settings-daemon is:
gnome-settings-daemon-2.24.0-14.fc10.x86_64

I'm not sure what kind of information would be useful in diagnosing this issue. Let me know and I'd be happy to look up or attach any info you need.
Comment 1 Bastien Nocera 2009-05-07 20:18:03 EDT
It's most likely that gnome-settings-daemon is crashing when you're suspending. Could you check whether it's running correctly when you see that happening?
Comment 2 Máirín Duffy 2009-05-08 09:37:54 EDT
Hi Bastien,

Sure, what should I run to check on it? Just ps ax and grep for it to see if it's there?

I noticed it doesn't seem to always happen after suspend either. E.g., this past week it happened after a fresh boot - right before my eyes. It was kind of trippy to watch. :)
Comment 3 Bastien Nocera 2009-05-08 10:41:51 EDT
Yes, a ps will be enough.

I guess that gnome-settings-daemon is crashing on startup when it happened on a fresh boot. Do you see an X error in your ~/.xsession-errors mentioning BadMatch?

I think this is just another case of the RandR code being broken.
Comment 4 Máirín Duffy 2009-07-24 12:51:27 EDT
I've been on Fedora 11 for a while now and this hasn't happened anymore, so I'm just going to close the bug if it's okay.

Note You need to log in before you can comment on or make changes to this bug.